using System;
using Server;
using Server.Items;

namespace Server.Items
{
	public class RandomEvoWeaponBag : Bag
	{
		public override string DefaultName
		{
			get { return "an evo weapon bag"; }
		}

		[Constructable]
		public RandomEvoWeaponBag() : this( 1 )
		{
		}

		[Constructable]
		public RandomEvoWeaponBag( int amount )
		{
			Movable = true;
			Hue = 1688;
         for ( int i = 0; i < amount; ++i )
			   DropItem( Loot.RandomEvoWeapon() );
		}
		
		public RandomEvoWeaponBag( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}